{% extends "base.html" %}

{% load static %}
{% block extrahead %}
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
{% endblock %}

{% block content %}
<div id="after-landing" class="after-landing bg-white">
    <div id="vienna">
        <div class="d-flex flex-row justify-content-between">
            <div class="p-1">
                <div class="title">
                    <b>Sofa 2 dudukan Vienna</b> (Kosong)
                </div>
            </div>
            <div class="p-1">
                <div class="title">
                    <b>Rp 3,899,000</b>
                </div>
            </div>
        </div>
        <div class="d-flex flex-row justify-content-end mb-3">
            <div class="mr-auto p-1">
                <div class="normal" style="color: #017865;font-weight: 600;"><i class="fa fa-building"
                        style="color: #000000;" style="font-size:20px"></i> Cek Showroom Kami</div>
            </div>
            <div class="p-1"><button type="button" class="btn btn-outline-success"><i class="fa fa-shopping-cart"
                        style="font-size:20px"></i></button></div>
            <div class="p-1"><button type="button" class="btn">BELI</button></div>
        </div>
        <div class="d-flex flex-row">
            <div class="p-1">
                <img src="https://fabelio.com/media/catalog/product/w/i/wina_2_seater_sofa__custard__1_1.jpg">
            </div>
        </div>
        <div class="d-flex flex-row justify-content-center">
            <div class="p-1">
                <div class="title">
                    <b>Spesifikasi Produk</b>
                </div>
            </div>
        </div>
        <div class="d-flex flex-column justify-content-start">
            <ul>
                <li>
                    <div class="d-flex flex-row justify-content-start">
                        <div class="p-1">
                            <div class="subtitle"><b>Color</b></div>
                        </div>
                        <div class="p-1">
                            <div class="subtitle">
                                <b>: </b>custard vienna, graphite vienna, ruby vienna
                            </div>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="d-flex flex-row justify-content-start">
                        <div class="p-1">
                            <div class="subtitle"><b>Material</b></div>
                        </div>
                        <div class="p-1">
                            <div class="subtitle">
                                <b>: </b>solid wood
                            </div>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="d-flex flex-row justify-content-start">
                        <div class="p-1">
                            <div class="subtitle"><b>Dimensi</b></div>
                        </div>
                        <div class="p-1">
                            <div class="subtitle">
                                <b>: </b>162 x 95 x 86
                            </div>
                        </div>
                    </div>
                </li>
            </ul>
        </div>
    </div>
    <br>
    <hr>
    <div class="d-flex flex-row justify-content-center">
        <div class="p-1">
            <div class="title">
                <b>Mungkin kamu akan suka</b>
            </div>
        </div>
    </div>
    <hr>
    <br>
    <div id="rekomendasi">

    </div>
</div>
{% endblock %}

{%block script%}
<script>
    // https://stackoverflow.com/questions/39695683/how-to-calculate-page-refresh-count-in-javascript-use-only-localstorage
    window.addEventListener("unload", function () {
        var count = parseInt(localStorage.getItem('counter') || 0);
        localStorage.setItem('counter', ++count)
    }, false);
    console.log('counter', localStorage.getItem('counter'))

    // if (localStorage.getItem('counter') % 3 == 0) {
    //     console.log("hehe")
    //     alert('You refreshed page 2 times')
    // }

    $(document).ready(function () {
        $.ajax({
            method: "GET",
            url: "/listfurniture",
            success: function (hasil) {
                var data = hasil.data;
                console.log(data)
                var panjanglist = data.length;
                var index = localStorage.getItem('counter') % panjanglist;
                var i = index - 1;
                if (i == -1)
                    var i = data.length - 1

                var name = data[i].name;
                var price = data[i].price;
                var dimension = data[i].dimension;
                var color = data[i].color;
                var material = data[i].material;
                var image = data[i].image;
                var imageFinal = '<img src="' + image + '">';

                var html =
                    '<div class="d-flex flex-row justify-content-between"><div class="p-1"><div class="title"><b>' +
                    name +
                    '</b></div></div><div class="p-1"><div class="title"><b>Rp ' + price +
                    '</b></div></div></div><div class="d-flex flex-row justify-content-end mb-3"><div class="mr-auto p-1"><div class="normal" style="color: #017865;font-weight: 600;"><i class="fa fa-building" style="color: #000000;" style="font-size:20px"></i> Cek Showroom Kami</div></div><div class="p-1"><button type="button" class="btn btn-outline-success"><i class="fa fa-shopping-cart" style="font-size:20px"></i></button></div><div class="p-1"><button type="button" class="btn">BELI</button></div></div><div class="d-flex flex-row"><div class="p-1">' +
                    imageFinal +
                    '</div></div><div class="d-flex flex-row justify-content-center"><div class="p-1"><div class="title"><b>Spesifikasi Produk</b></div></div></div><div class="d-flex flex-column justify-content-start"><ul><li><div class="d-flex flex-row justify-content-start"><div class="p-1"><div class="subtitle"><b>Color</b></div></div><div class="p-1"><div class="subtitle"><b>: </b>' +
                    color +
                    '</div></div></div></li><li><div class="d-flex flex-row justify-content-start"><div class="p-1"><div class="subtitle"><b>Material</b></div></div><div class="p-1"><div class="subtitle"><b>: </b>' +
                    material +
                    '</div></div></div></li><li><div class="d-flex flex-row justify-content-start"><div class="p-1"><div class="subtitle"><b>Dimensi</b></div></div><div class="p-1"><div class="subtitle"><b>: </b>' +
                    dimension + '</div></div></div></li></ul></div>';
                $('#rekomendasi').append(html);
            },
            error: function (error) {
                alert("Halaman tidak ditemukan")
            }
        });
    });
</script>
{%endblock%}